export class RouteHandlerManager {
    handlers = {};
    set(kind, handler) {
        if (kind in this.handlers) {
            throw new Error("Invariant: duplicate route handler added for kind");
        }
        this.handlers[kind] = handler;
    }
    async handle(match, req, res, context) {
        const handler = this.handlers[match.definition.kind];
        if (!handler) return;
        // Get the response from the handler.
        const response = await handler.handle(match, req, res, context);
        return response;
    }
}

//# sourceMappingURL=route-handler-manager.js.map