"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
var _absolutePathToPage = require("../../../shared/lib/page-path/absolute-path-to-page");
class AbsoluteFilenameNormalizer {
    /**
   *
   * @param dir the directory for which the files should be made relative to
   * @param extensions the extensions the file could have
   * @param keepIndex when `true` the trailing `/index` is _not_ removed
   */ constructor(dir, extensions){
        this.dir = dir;
        this.extensions = extensions;
    }
    normalize(pathname) {
        return (0, _absolutePathToPage).absolutePathToPage(pathname, {
            extensions: this.extensions,
            keepIndex: false,
            pagesDir: this.dir
        });
    }
}
exports.AbsoluteFilenameNormalizer = AbsoluteFilenameNormalizer;

//# sourceMappingURL=absolute-filename-normalizer.js.map